#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Задача "Бендер"
# XI Всероссийская командная олимпиада школьников по программированию
# Автор задачи: Антон Банных
# Автор генератора: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
#
# Простенький генератор без использования сторонних библиотек для генерации

MAXN = 10**5
MAXK = 10

handmade = [
    ('2 3 1 2', 'sample test'),
    ('3 4 2 4', 'sample test'),
    ('10 2 1 2', 'sample test'),
 
    ('239 2 2 2', 'handmade test'),
]

test_number = 0

def open_output():
    global test_number
    test_number += 1
    num = '%d%d' % divmod(test_number, 10)
    print 'Generating test #' + num
    
    return open(num, 'w')

def print_test(test, desc):
    ouf = open_output()
    print >>ouf, test
    print >>desc_file, ('%d%d' % divmod(test_number, 10)) + ': ' + desc + '; ' + str(test.split())
    ouf.close()

def print_hand():
    for s in handmade:
        print_test(*s)

def print_selected():
    for s in open('selected.tests'):
        t = s.strip()
        if len(t):
            print_test(t, 'selected test')

if __name__ == '__main__':
    desc_file = open('tests.desc', 'w')
    print_hand()
    print_selected()
    desc_file.close()
